<template>
  <el-form :model="form" ref="formRef" label-width="auto">
    <el-form-item v-if="getConfig('purchaseAuditAutoCompleteConfig')">
      <template #label>
        <Tooltip
          v-if="getConfig('purchaseAuditAutoCompleteConfig').remark"
          :message="getConfig('purchaseAuditAutoCompleteConfig').remark"
        />
        <span>采购申请自动通过</span>
      </template>
      <el-radio-group v-model="form.purchaseAuditAutoCompleteConfig">
        <el-radio
          v-for="(item, index) in getConfig('purchaseAuditAutoCompleteConfig').options"
          :key="index"
          :label="item.id"
        >
          {{ item.name }}
        </el-radio>
      </el-radio-group>
    </el-form-item>
    <el-form-item>
      <el-button type="primary" @click="onSubmit">保存</el-button>
    </el-form-item>
  </el-form>
</template>

<script setup name="BasicSettingMall">
import * as ConfigApi from '@/api/system/set'

const message = useMessage()

const form = ref({})

const configList = ref([])

function getConfig(val) {
  return configList.value.find((it) => it.configKey == val)
}

function getData() {
  ConfigApi.getConfigList({ module: 3 }).then((data) => {
    configList.value = data
    // 获取所有配置项
    data.map((it) => {
      form.value[it.configKey] = it.configValue
    })
  })
}

function onSubmit() {
  const params = configList.value.map((it) => ({
    configId: it.configId,
    configKey: it.configKey,
    configValue: form.value[it.configKey]
  }))
  ConfigApi.updateConfig(params).then(() => {
    message.success('保存成功')
  })
}

onMounted(() => {
  getData()
})
</script>

<style lang="scss" scoped></style>
